string_view File Reference

Go to the source code of this file.

## Classes

class | std::basic_string_view< _CharT, _Traits >

## Namespaces

namespace | std
namespace | std::literals

## Macros

#define | __glibcxx_want_constexpr_char_traits
#define | __glibcxx_want_constexpr_string_view
#define | __glibcxx_want_freestanding_string_view
#define | __glibcxx_want_starts_ends_with
#define | __glibcxx_want_string_contains
#define | __glibcxx_want_string_view
#define | _GLIBCXX_STRING_VIEW

## Typedefs

using | std::string_view
using | std::u16string_view
using | std::u32string_view
using | std::wstring_view

## Functions

constexpr size_t | std::__sv_check (size_t __size, size_t __pos, const char *__s)
constexpr size_t | std::__sv_limit (size_t __size, size_t __pos, size_t __off) noexcept
constexpr basic_string_view< char > | std::literals::operator""sv (const char *__str, size_t __len) noexcept
constexpr basic_string_view< char16_t > | std::literals::operator""sv (const char16_t *__str, size_t __len) noexcept
constexpr basic_string_view< char32_t > | std::literals::operator""sv (const char32_t *__str, size_t __len) noexcept
constexpr basic_string_view< wchar_t > | std::literals::operator""sv (const wchar_t *__str, size_t __len) noexcept
template<typename _CharT, typename _Traits>
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__os, basic_string_view< _CharT, _Traits > __str)
template<typename _CharT, typename _Traits>
constexpr auto | std::operator<=> (basic_string_view< _CharT, _Traits > __x, __type_identity_t< basic_string_view< _CharT, _Traits > > __y) noexcept -> decltype(__detail::__char_traits_cmp_cat< _Traits >(0))
template<typename _CharT, typename _Traits>
constexpr bool | std::operator== (basic_string_view< _CharT, _Traits > __x, type_identity_t< basic_string_view< _CharT, _Traits > > __y) noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file string_view.

## Macro Definition Documentation

## __glibcxx_want_constexpr_char_traits

#define __glibcxx_want_constexpr_char_traits

Definition at line 40 of file string_view.

## __glibcxx_want_constexpr_string_view

#define __glibcxx_want_constexpr_string_view

Definition at line 41 of file string_view.

## __glibcxx_want_freestanding_string_view

#define __glibcxx_want_freestanding_string_view

Definition at line 42 of file string_view.

## __glibcxx_want_starts_ends_with

#define __glibcxx_want_starts_ends_with

Definition at line 44 of file string_view.

## __glibcxx_want_string_contains

#define __glibcxx_want_string_contains

Definition at line 45 of file string_view.

## __glibcxx_want_string_view

#define __glibcxx_want_string_view

Definition at line 43 of file string_view.

## _GLIBCXX_STRING_VIEW

#define _GLIBCXX_STRING_VIEW

Definition at line 34 of file string_view.